#! usr/bin/env python3

'''
This script is used to convert gff format to bed format
'''

import sys
import getopt

opts, args = getopt.getopt(sys.argv[1:],'-i:-o:-h',['inputfile=','outputfile=','help'])

def usage():
	print('usage : python3 script -i inputfile -o outputfile -h help infor')

for opt_name,opt_value in opts:
	if opt_name in ('-h','--help'):
		usage()
		sys.exit()
	if opt_name in ('-i','--inputfile'):
		inputfile = opt_value
	if opt_name in ('-o','--output'):
		outputfile = opt_value

def inf_arr_func(inputfile,outputfile):
	inf = open(inputfile,'r')
	outf = open(outputfile,'w')
	for lin in inf:
		if lin.strip().split('\t')[2] == "mRNA":
			infor = lin.strip().split('\t')[0] + '\t'+ lin.strip().split('\t')[3] +'\t'+lin.strip().split('\t')[4] +'\t'+ lin.strip().split('\t')[8].split(';')[0].replace('ID=','') + '\t'+lin.strip().split('\t')[7] +'\t'+lin.strip().split('\t')[6] + '\n' 
			outf.write(infor)	
				
if __name__ == '__main__':
	inf_arrs = inf_arr_func(inputfile,outputfile)



