dbdir=/data6/cuilicao/00.db
hisat2-build $dbdir/T.aes.fa T.aes.fa  --large-index -p 12

ref=/data6/cuilicao/00.db/T.aes.fa
fq_dir=data6/cuilicao/01.RNA_seq/01.trimmomatic/01.trim_out
wd_dir=data6/cuilicao/01.RNA_seq/01.trimmomatic/01.trim_out/02.HT.ST.results
#st=/data6/cuilicao/software/samtools-1.13/samtools
cd $wd_dir
rm -rf $sample
mkdir $sample
cd $sample


hisat2 --dta  -p 10  -x $ref \
-1 $fq_dir/${sample}_1_P.fq.gz \
-2 $fq_dir/${sample}_2_P.fq.gz \
-S  ${sample}.sam \
1> ${sample}.log \
2> ${sample}.align.summary.txt

##########################################
samtools view -q 20 -bhS ${sample}.sam -o ${sample}.Q20.bam
samtools sort -n ${sample}.Q20.bam -o ${sample}.Q20.nsort.bam

#########################################
gff=$dbdir/T.aes.gff3
stringtie -p 10 ${sample}.Q20.nsort.bam -o ${sample}.gtf -G $gff \
-A ${sample}.gene_abund.tab -B -e -c 2.5 -C ${sample}.cov_refs.gtf





