#!/usr/bin/bash

# This script is used for quality control 

trueseq=/data6/cuilicao/software/Trimmomatic-0.36/adapters/TruSeq3-PE.fa

cat RNA-seq.id| while read f
do

	java -jar trimmomatic-0.36.jar PE -threads 10\
	-trimlog $trim_dir/${f2}.trim.log \
	$fq_dir/${f}_1.fq.gz $fq_dir/${f}_2.fq.gz  \
	$trim_dir/${f}_1_P.fq.gz $trim_dir/${f}_1_UP.fq.gz \
	$trim_dir/${f}_2_P.fq.gz $trim_dir/${f}_2_UP.fq.gz \
	ILLUMINACLIP:$trueseq:2:30:10:2:keepBothReads LEADING:3 TRAILING:3 MINLEN:50
done





